
<!-- begin::Header -->
<div class="card shadow-sm">

    <div class="card-header border-0 pt-5">
        <h3 class="card-title align-items-start flex-column">
          <span class="card-label fw-bolder fs-3 mb-1 text-card" i18n>Browsing History</span>
          <hr class="mt-6 mb-6 bg-primary border-2 border-top border-secondary">
        </h3>
        <div class="col-lg-4 d-flex flex-row mt-5">
          <label class="col-lg-2 col-form-label fw-bold fs-6" i18n>Search:</label>
          <div class="col-lg-6"><input type="text" [(ngModel)]="filter_text"
                  class="form-control form-control-lg" id="table_search_id" (keyup)="refreshTable()"></div>
        </div>

        
        
      </div>
      <!-- end::Header -->
      <!-- begin::Body -->
      <div class="card-body py-3 special-body">
        <!-- begin::Table container -->
        <div *ngIf="loadedData" class="table-responsive">
          <!-- begin::Table -->
          <table
            class="table table-row-bordered table-row-gray-100 align-middle gs-0 gy-3"
            id="BH_table_id"
          >
            <!-- begin::Table head -->
            <thead>
              <tr id="table_header" class="fw-bolder text-muted">
                <th class="min-w-150px" scope="col" [appSortTable]="receivedData" data-order="desc" data-name="url" i18n>Url</th>
                <th class="min-w-120px" scope="col" [appSortTable]="receivedData" data-order="desc" data-name="time" data-type="date" i18n>Time</th>  
                <th class="min-w-120px" sortable="population" i18n>Actions</th>
              </tr>
            </thead>
            <!-- end::Table head -->
            <!-- begin::Table body -->
            <tbody>
              <tr *ngFor="let row of rows">
                  
                <td>
                  <span class="mt-1 fw-bold fs-5">
                    <a [routerLink]="['/transparency-tags', this.cleanedUrls.get(row.url)]" class="">
                      <u>{{row.url}}</u>
                    </a>
                </span>
                </td>
                <td>
                  <a
                    
                    class="text-dark fw-bolder text-hover-primary d-block mb-1 fs-6"
                  >
                  {{row.time}}
                  </a>
    
                </td>
                
                <td>
                  <a
                    (click)="openDeleteModal(delete_modal_content, row)"
                    class="btn btn-icon btn-bg-light btn-active-color-primary btn-sm"
                  >
                    <span
                      [inlineSVG]="'./assets/media/icons/duotune/general/gen027.svg'"
                      class="svg-icon svg-icon-3"
                    ></span>
                  </a>
                </td>
              </tr>
              
            </tbody>
            <!-- end::Table body -->
          </table>
          <!-- end::Table -->
          <div class="d-flex justify-content-between p-2">
            <ngb-pagination [collectionSize]="collectionSize" [(page)]="page" [pageSize]="pageSize" (pageChange)="refreshTable()">
            </ngb-pagination>
          
            <select class="form-select" style="width: auto" [(ngModel)]="pageSize" (ngModelChange)="refreshTable()">
              <option [ngValue]="10" i18n>10 items per page</option>
              <option [ngValue]="20" i18n>20 items per page</option>
              <option [ngValue]="50" i18n>50 items per page</option>
            </select>
        </div>
        </div>
        <div  *ngIf="!loadedData" class="d-flex justify-content-around">
          <b i18n>There are no data available yet!</b>
        </div>
        <!-- end::Table container -->
      </div>
    
    </div>
      <!-- begin::Body -->
    
    <!-- The following sections are hidden by default, only appear if buttons are pressed -->
        
        <!-- DELETE DATA MODAL START -->
        <ng-template #delete_modal_content let-modal>
            <div class="modal-header">
                <h4 class="modal-title" id="modal-title" i18n>Data export deletion</h4>
                <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p i18n><strong>Are you sure you want to delete this data row?</strong></p>
                <p i18n>All information associated to this row will be permanently deleted.
                <span class="text-danger">{{this.trans_1}}</span>
                </p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')" i18n>Cancel</button>
                <button type="button" class="btn btn-danger" (click)="modal.close('confirm delete')" i18n>Delete</button>
            </div>
        </ng-template>
        <!-- DELETE DATA MODAL END -->
<ngx-spinner></ngx-spinner>
